SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004091SOGoBackend Address Bookpublic2017-03-19 11:292017-09-07 16:31
Reporterchentao 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.7 
Target VersionFixed in Version4.0.0 
Summary0004091: only one postal address of the same type gets stored in the database
DescriptionIf you type in two postal address of the same type (e.g., two "home" addresses or two "work" addresses) only the last one gets saved.

After having typed in both addresses, at first it seems everything is ok because both addresses are indeed displayed (see attached file). But if you refresh the browser, you see that only the last one remains.

And if you check the database, indeed there is only one "ADDR;TYPE=work" (or "ADDR;TYPE=home") field, the second one wasn't saved.
Steps To ReproduceType in two postal addresses of the same type (e.g., two "home" addresses or two "work" addresses).

Refresh your browser and check the database : only one ADDR field is saved.
TagsNo tags attached.
Attached Filespng file icon sogo-address-bug.png [^] (7,426 bytes) 2017-03-19 11:29

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0001205new update the vcard handling to VCARD 4 spec 

-  Notes
(0011545)
chentao (reporter)
2017-03-21 12:38

While it is indeed related to 001205 (support for VCARD4), it's also a bug IMHO : there's an inconsistency between the front-end, which displays the two addresses (see attached screensshot), and the backend, which stores only one.

If for some reason VCARD3 doesn't allow to store two addresses of the same type in the backend, it would be good to modify the frontend to prevent users from trying to save two addresses (at least as long as VCARD4 is not yet supported).

- Related Changesets
sogo: master aa3c02be
Timestamp: 2017-09-07 16:30:22
Author: francis
Details ] Diff ]
Fix to save many postal addresses of tge same type

Fixes 0004091
mod - NEWS Diff ] File ]
mod - UI/Contacts/UIxContactEditor.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-19 11:29 chentao New Issue
2017-03-19 11:29 chentao File Added: sogo-address-bug.png
2017-03-20 08:17 Christian Mack Relationship added duplicate of 0001205
2017-03-21 12:38 chentao Note Added: 0011545
2017-09-07 16:31 francis Changeset attached => sogo master aa3c02be
2017-09-07 16:31 francis Assigned To => francis
2017-09-07 16:31 francis Resolution open => fixed
2017-09-07 16:31 francis Status new => resolved
2017-09-07 16:31 francis Fixed in Version => 4.0.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker